require 'helper'

class TestTkDoubleSlider < Test::Unit::TestCase
  should "instantiate and display a double-headed slider with linear scale and custom value and delta formatters" do
		root = TkRoot.new() {
		  title "Tk::DoubleSlider Test"
		  protocol('WM_DELETE_WINDOW', proc{ exit })
		}
		root.bind('Control-c', proc{ exit })
		left_frame = TkFrame.new(root)
		left_frame.grid(:row=>0,:column=>0,:sticky=>'new')
		time_min = Time.now.to_i - (7*24*60*60)
		time_max = Time.now.to_i
		timeslide = Tk::DoubleSlider.new(left_frame, :min=>time_min, :max=>time_max, :low=>time_min, :high=>time_max, :snap => 300, :label=>'Time', :valuefmt => proc { |x| Time.at(x).strftime("%H:%M") }, :deltafmt => proc { |x| sprintf("%0.2f hours", (x/3600.0)) })
		timeslide.pack()
		Tk.mainloop()
  end
end
